Vulnerability & Exploit Database

Back to search

ATutor 2.2.1 SQL Injection / Remote Code Execution

This module exploits a SQL Injection vulnerability and an authentication weakness vulnerability in ATutor. This essentially means an attacker can bypass authentication and reach the administrator's interface where they can upload malicious code.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/multi/http/atutor_sqli

Authors

  • mr_me <steventhomasseeley [at] gmail.com>

References

Targets

  • Automatic

Platforms

  • php

Architectures

  • php

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/multi/http/atutor_sqli msf exploit(atutor_sqli) > show targets ...targets... msf exploit(atutor_sqli) > set TARGET <target-id> msf exploit(atutor_sqli) > show options ...show and set options... msf exploit(atutor_sqli) > exploit